@if (adminReferentialDataService.loggedAsAdmin$ | async) {
  @if (componentData$ | async; as componentData) {
    @if (adminReferentialData$ | async; as adminReferentialData) {
      <div class="full-height full-width overflow-hidden flex-column">
        <div style="display: flex">
          <div class="admin-workspace-secondary-title">
            {{
              'sqtm-core.administration-workspace.system.report-templates.title'
                | translate
            }}
            <a [href]="reportTemplateDocUrl" target="_blank">
              <i
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.administration-workspace.system.report-templates.help-tooltip'
                    | translate
                "
                class="current-workspace-button m-l-5 table-icon-size"
              >
              </i>
            </a>
          </div>
        </div>
        <div class="full-width full-height">
          <div class="full-width full-height p-r-15" style="overflow-y: auto">
            <div>
              <nz-collapse
                [nzBordered]="false"
                class="entity-view-collapse-panel"
              >
                <nz-collapse-panel
                  [nzActive]="true"
                  [nzHeader]="editableRequirementReportTitle"
                >
                  <ng-template #editableRequirementReportTitle>
                    <div class="entity-view-collapse-panel-title">
                      {{
                        'sqtm-core.custom-report-workspace.reports.editable-requirement.label'
                          | translate
                      }}
                    </div>
                  </ng-template>
                  @if (
                    hasReportPlugin(
                      adminReferentialData.availableReportIds,
                      docXReportIdEnum.REPORT_BOOKS_EDITABLE_REQ
                    )
                  ) {
                    <div>
                      <sqtm-app-editable-req-report-template-grid-panel
                        [reportId]="docXReportIdEnum.REPORT_BOOKS_EDITABLE_REQ"
                      ></sqtm-app-editable-req-report-template-grid-panel>
                    </div>
                  } @else {
                    {{
                      'sqtm-core.administration-workspace.system.report-templates.missing-report-plugin'
                        | translate
                    }}
                    {{
                      'sqtm-core.administration-workspace.system.plugins.report.editable-requirements'
                        | translate
                    }}.
                  }
                </nz-collapse-panel>
                <nz-collapse-panel
                  [nzActive]="true"
                  [nzHeader]="editableTestCaseReportTitle"
                >
                  <ng-template #editableTestCaseReportTitle>
                    <div class="entity-view-collapse-panel-title">
                      {{
                        'sqtm-core.custom-report-workspace.reports.editable-test-case.label'
                          | translate
                      }}
                    </div>
                  </ng-template>
                  @if (
                    hasReportPlugin(
                      adminReferentialData.availableReportIds,
                      docXReportIdEnum.REPORT_BOOKS_EDITABLE_TC
                    )
                  ) {
                    <div>
                      <sqtm-app-editable-tc-report-template-grid-panel
                        [reportId]="docXReportIdEnum.REPORT_BOOKS_EDITABLE_TC"
                      ></sqtm-app-editable-tc-report-template-grid-panel>
                    </div>
                  } @else {
                    {{
                      'sqtm-core.administration-workspace.system.report-templates.missing-report-plugin'
                        | translate
                    }}
                    {{
                      'sqtm-core.administration-workspace.system.plugins.report.editable-test-cases'
                        | translate
                    }}.
                  }
                </nz-collapse-panel>
                <nz-collapse-panel
                  [nzActive]="true"
                  [nzHeader]="campaignReportTitle"
                >
                  <ng-template #campaignReportTitle>
                    <div class="entity-view-collapse-panel-title">
                      {{
                        'sqtm-core.custom-report-workspace.reports.uninstalled.campaignassessment.label'
                          | translate
                      }}
                    </div>
                  </ng-template>
                  @if (
                    hasReportPlugin(
                      adminReferentialData.availableReportIds,
                      docXReportIdEnum.CAMPAIGN_ASSESSMENT
                    )
                  ) {
                    <div>
                      <sqtm-app-campaign-report-template-grid-panel
                        [reportId]="docXReportIdEnum.CAMPAIGN_ASSESSMENT"
                      ></sqtm-app-campaign-report-template-grid-panel>
                    </div>
                  } @else {
                    {{
                      'sqtm-core.administration-workspace.system.report-templates.missing-report-plugin'
                        | translate
                    }}
                    {{
                      'sqtm-core.administration-workspace.system.plugins.report.campaign-execution'
                        | translate
                    }}.
                  }
                </nz-collapse-panel>
                <nz-collapse-panel
                  [nzActive]="true"
                  [nzHeader]="iterationReportTitle"
                >
                  <ng-template #iterationReportTitle>
                    <div class="entity-view-collapse-panel-title">
                      {{
                        'sqtm-core.custom-report-workspace.reports.uninstalled.iteration.label'
                          | translate
                      }}
                    </div>
                  </ng-template>
                  @if (
                    hasReportPlugin(
                      adminReferentialData.availableReportIds,
                      docXReportIdEnum.ITERATION_ASSESSMENT
                    )
                  ) {
                    <div>
                      <sqtm-app-iteration-report-template-grid-panel
                        [reportId]="docXReportIdEnum.ITERATION_ASSESSMENT"
                      ></sqtm-app-iteration-report-template-grid-panel>
                    </div>
                  } @else {
                    {{
                      'sqtm-core.administration-workspace.system.report-templates.missing-report-plugin'
                        | translate
                    }}
                    {{
                      'sqtm-core.administration-workspace.system.plugins.report.campaign-execution'
                        | translate
                    }}.
                  }
                </nz-collapse-panel>
              </nz-collapse>
            </div>
          </div>
        </div>
      </div>
    } @else {
      <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
    }
  } @else {
    <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
  }
}
